const canUsePerformanceAPI = performance &&
    typeof performance.mark === 'function' &&
    typeof performance.measure === 'function' &&
    typeof performance.clearMarks === 'function' &&
    typeof performance.clearMeasures === 'function';
const bassdrumEmoji = '🥁';
export const markStart = (markName) => {
    if (!canUsePerformanceAPI)
        return;
    performance.mark(markName);
};
export const markEnd = (markName) => {
    if (!canUsePerformanceAPI)
        return;
    const label = `${bassdrumEmoji} ${markName}`;
    try {
        performance.measure(label, markName);
    }
    catch (err) {
        // swallow
    }
    performance.clearMarks(markName);
    performance.clearMeasures(label);
};
